org.keycloak.protocol.saml

## Class EntityDescriptorDescriptionConverter

- java.lang.Object
- - org.keycloak.protocol.saml.EntityDescriptorDescriptionConverter

- All Implemented Interfaces:
    ClientDescriptionConverter, ClientDescriptionConverterFactory, Provider, ProviderFactory<ClientDescriptionConverter>

      public class EntityDescriptorDescriptionConverter
      extends Object
      implements ClientDescriptionConverter, ClientDescriptionConverterFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDescriptorDescriptionConverter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientRepresentation` | `convertToInternal(String description)`
    `ClientDescriptionConverter` | `create(KeycloakSession session)`
    `String` | `getId()`
    `static String` | `getServiceURL(SPSSODescriptorType sp, String bindingURI)` Get the service url for the SP
    `static SPSSODescriptorType` | `getSPDescriptor(EntityDescriptorType entityDescriptor)` Get the SP Descriptor from an entity descriptor
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isSupported(String description)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EntityDescriptorDescriptionConverter

          public EntityDescriptorDescriptionConverter()

  - ### Method Detail

    - #### isSupported

          public boolean isSupported(String description)

      Specified by:
        `isSupported` in interface `ClientDescriptionConverterFactory`

    - #### convertToInternal

          public ClientRepresentation convertToInternal(String description)

      Specified by:
        `convertToInternal` in interface `ClientDescriptionConverter`

    - #### getSPDescriptor

          public static SPSSODescriptorType getSPDescriptor(EntityDescriptorType entityDescriptor)

      Get the SP Descriptor from an entity descriptor
      Parameters:
        `entityDescriptor` -
      Returns:

    - #### getServiceURL

          public static String getServiceURL(SPSSODescriptorType sp,
                                             String bindingURI)

      Get the service url for the SP
      Parameters:
        `sp` -
        `bindingURI` -
      Returns:

    - #### create

          public ClientDescriptionConverter create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientDescriptionConverter>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.